Risultati da 1 a 5 di 5
  1. #1
    Utente Junior
    Iscritto dal
    2010
    Messaggi
    39
    Professione
    studente
    Regione
    Lazio
    Software
    Excel,Fluent

    Predefinito Problemi in VBA per Solidworks

    In VBA per soidworks riceve un errore nel seguente listato:
    Option Explicit
    Dim SelMgr As Object
    Dim boolstatus As Boolean
    Dim longstatus As Long, longwarnings As Long
    Dim Feature As Object
    Dim Part As Object
    Dim swApp As SldWorks.SldWorks

    Sub main()

    Set swApp = Application.SldWorks

    Set Part = swApp.ActivateDoc
    Set Feature = Part.AddMate2(5, 0, True, 0.001, 0.001, 0.001, 1, 1, 0, 0, 0, longstatus)
    Part.ClearSelection2 True

    If swApp.GetUserPreferenceToggle(swColorsGradientPart Background) Then swApp.SetUserPreferenceToggleswColorsGradientPartB ackground , False
    Else
    swApp.SetUserPreferenceToggleswColorsGradientPartB ackground , True
    End If

    End Sub
    Come da allegato
    Grazie
    File Allegati File Allegati

  2. #2
    Utente Standard L'avatar di jenuary
    Iscritto dal
    2007
    Messaggi
    385
    Professione
    Progettista e Programmatore VB.Net
    Regione
    Veneto
    Software
    Solidworks

    Predefinito

    Ciao,
    il problema sta qui:
    Set Part = swApp.ActivateDoc
    deve essere sostituito con
    Set Part = swApp.ActiveDoc

    Saluti

  3. #3
    Utente Junior
    Iscritto dal
    2010
    Messaggi
    39
    Professione
    studente
    Regione
    Lazio
    Software
    Excel,Fluent

    Predefinito Problematiche in VBA per Solidworks

    O.K. per quanto riguarda la prima parte della richiesta, mentre per la restante:

    Option Explicit
    Dim SelMgr As Object
    Dim boolstatus As Boolean
    Dim longstatus As Long, longwarnings As Long
    Dim Feature As Object
    Dim Part As Object
    Dim swApp As SldWorks.SldWorks
    Sub main()
    Set swApp = Application.SldWorks
    If swApp.GetUserPreferenceToggle(swColorsGradientPart Background) Then
    swApp.SetUserPreferenceToggleswColorsGradientPartB ackground , False
    Else
    swApp.SetUserPreferenceToggleswColorsGradientPartB ackground , True
    End If
    Errore di compilazione Else senza IF ???

    cosa psso fare ?
    Grazie




    Citazione Originariamente Scritto da jenuary Visualizza Messaggio
    Ciao,
    il problema sta qui:
    Set Part = swApp.ActivateDoc
    deve essere sostituito con
    Set Part = swApp.ActiveDoc

    Saluti

  4. #4
    Utente Standard
    Iscritto dal
    2008
    Messaggi
    173
    Professione
    Disegnatore
    Regione
    Piemonte
    Software
    SolidWorks 2014 sp4

    Predefinito

    Citazione Originariamente Scritto da titurbina Visualizza Messaggio
    If swApp.GetUserPreferenceToggle(swColorsGradientPart Background) Then
    swApp.SetUserPreferenceToggleswColorsGradientPartB ackground , False
    Else
    swApp.SetUserPreferenceToggleswColorsGradientPartB ackground , True
    End If
    Errore di compilazione Else senza IF ???

    cosa psso fare ?
    Grazie
    Premetto che non sono un esperto di VBA, a me pare che ci sia un errore di battitura se il listato e' quello (PartB ackground) se non e' quello bisogna apettare jenuary che e' molto piu competente.
    --------------------------------
    Saluti Carlo

  5. #5
    Utente Standard L'avatar di jenuary
    Iscritto dal
    2007
    Messaggi
    385
    Professione
    Progettista e Programmatore VB.Net
    Regione
    Veneto
    Software
    Solidworks

    Predefinito

    Ciao, così sembra funzionare.

    Ti allego la macro.
    Se ti capita di avere problemi in futuro su macro, ti consiglio di dare una spiegazione di cosa ti serve fare, in quanto puo essere di aiuto mentre si cerca di risolvere il problema, o se per caso ho gia qualcosa di fatto, anche di piu avanzato, te lo posso girare direttamente.
    Saluti
    File Allegati File Allegati
    • Tipo File: rar xxx.rar (6.0 KB, 8 Visualizzazioni)


  • Discussioni Simili

    1. Problemi compatibilità Solidworks - Inventor
      Di marco_verri nel forum Inventor
      Risposte: 7
      Ultimo Messaggio: 02-11-2010, 19: 21
    2. Solidworks problemi con VISTA
      Di MarcoMascheri nel forum Solidworks
      Risposte: 7
      Ultimo Messaggio: 02-07-2009, 14: 01
    3. problemi solidworks 2008
      Di ilcapitano4 nel forum Solidworks
      Risposte: 4
      Ultimo Messaggio: 12-05-2009, 19: 18
    4. [Recuperato] problemi installazione solidWorks 2006
      Di Oldwarper nel forum Solidworks
      Risposte: 0
      Ultimo Messaggio: 18-02-2008, 10: 18

    Segnalibri

    Segnalibri

    Permessi di Scrittura

    • Tu non puoi inviare nuove discussioni
    • Tu non puoi inviare risposte
    • Tu non puoi inviare allegati
    • Tu non puoi modificare i tuoi messaggi
    •  





    CAD3D.it - la community dei progettisti